Skip to main content
GET
/
private-records
Get private records
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/private-records \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "score_updated_at": "2025-11-01T10:00:00.123456",
      "archived": true,
      "archived_at": "2025-12-01T12:34:56.123456",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "email": "info@example.com",
      "total_score": 85.5
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

search_field
enum<string>
default:name

Field to search by

Available options:
name,
email
search_text
string | null

Text to search for

Required string length: 3 - 255
Example:

"Example Corp"

archived
boolean | null

Filter by archived status

order_by
enum<string>
default:name

Field to order by

Available options:
name,
email,
total_score,
score_updated_at,
created_at,
updated_at,
archived_at
order_dir
enum<string>
default:asc

Order direction

Available options:
asc,
desc
limit
integer
required

Maximum number of items to return

Required range: x <= 100
Examples:

20

50

80

offset
integer
required

Number of items to skip

Required range: x >= 0
Examples:

0

20

50

Response

Successful Response

items
PrivateRecordBrief · object[]
required

List of private record brief entries

total_items
integer
required

Total number of private records

Required range: x >= 0
Examples:

42

55

90